%define name	boinc
%define version	4.45
%define home	/var/spool/%{name}

Name:		%{name}
Summary:	Berkeley Open Infrastructure for Network Computing
Version:	%{version}
Release:	1rtr
Source0:	http://boinc.berkeley.edu/source_code.php/%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Source2:	%{name}mgr.bz2
Source3:	%{name}.bz2
Group:		Sciences/Computer science
URL:		http://boinc.berkeley.edu/
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	Lesser GNU Public License
#Build_Requires:	lib_wxgtk-devel >= 2.6
#R_equires: 	lib_wxgtk >= 2.6 wx_GTK >= 2.6 wx_Glade lib_wxgtkgl

# when building server
# BuildRequires:	libmysql-devel

%description
A software platform for distributed computing using volunteered computer resources 

%prep
# pentium 3
#%define optflags	-mtune=pentium3 -march=pentium3 -O3 -pipe -fomit-frame-pointer

# pentium 4
%define optflags	-mtune=pentium4 -march=pentium4 -O3 -pipe -fomit-frame-pointer

# pentium M(Centrino)
#%define optflags	-mtune=pentium-m -march=pentium-m -O3 -pipe -fomit-frame-pointer

# AMD Athlon XP
#%define optflags	-mtune=athlon-xp -march=athlon-xp -O3 -pipe -fomit-frame-pointer

%setup -q
bzcat %{SOURCE1} > %{name}.init
bzcat %{SOURCE2} > %{name}mgr
bzcat %{SOURCE3} > %{name}

%build
%configure --disable-server --build=i586-pc-linux-gnu
# --enable-static --disable-shared

%make
make clean
make -k

%install
rm -rf %{buildroot}

install -d %{buildroot}/%{_bindir}
install -m 0755 %{_builddir}/%{name}-%{version}/client/%{name} %{buildroot}%{_bindir}/%{name}

# if compiling of boincmgr will ever work
#install -m 0755 %{_builddir}/%{name}-%{version}/client/%{name}mgr %{buildroot}%{_bindir}/%{name}mgr

# for now we take a precompiled one which does not effect the performance and credits
install -m 0755 %{_builddir}/%{name}-%{version}/%{name}mgr %{buildroot}%{_bindir}/%{name}mgr

# the boinc.init
install -d %{buildroot}%{_initrddir}
install -m 0744 %{_builddir}/%{name}-%{version}/%{name}.init %{buildroot}%{_initrddir}/%{name}

# using a /etc/sysconfig/boinc file
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 %{_builddir}/%{name}-%{version}/%{name} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# create the home directory
install -d %{buildroot}%{home}

%pre
%_pre_useradd %{name} %{home} /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_initrddir}/%{name}
%{_bindir}/%{name}
%{_bindir}/%{name}mgr
%{_sysconfdir}/sysconfig/%{name}

%attr(-,%{name},%{name})%dir %{home}

%changelog
* Fri Jul 08 2005 AndyRTR <andreas.radke@freenet.de>, Dardo <venturi.michele@gmail.com> 4.45-1rtr
- cvs-public-version 2005-06-08
- initial release
